* {
  margin: 0;
  padding: 0;
}

.body {
  background-color: skyblue;
}

.main {
  display: flex;
  flex-flow: column wrap;
  align-items: center;
  background-color: white;
  width: 400px;
  margin-right: auto;
  margin-left: auto;
  margin-top: 300px;
  padding: 50px;
  border: 1px solid black;
  border-radius: 20px;
  box-shadow: 5px 5px 5px #aaa;
}

.header {
  width: 100%;
  text-align: center;
  font-size: 28px;
  margin-bottom: 30px;
}

.input-container {
  width: 100%;
  margin-bottom: 10px;
  height: 40px;
  display: flex;
}

.input-text {
  width: 80%;
  font-size: 18px;
}

.input-button {
  width: 20%;
}

.button {
  width: 40%;
  height: 30px;
  margin-top: 20px;
}

.list {
  width: 100%;
  list-style-type: none;
}

.list-item {
  display: flex;
  justify-content: space-between;
  overflow-wrap: break-word;
}

.list-item-container {
  display: inline-block;
  width: 300px;
  font-size: 18px;
  overflow-wrap: break-word;
}

.list-item-button {
  width: 40px;
  height: 40px;
  padding: 0;
  background-color: transparent;
  cursor: pointer;
  border: none;
  float: inline-end;
}

.error-message {
  display: none;
  justify-content: center;
  width: 100%;
  color: red;
  font-size: 18px;
}
